Bug 1417446 - [abrt] plasma-systemsettings: KCrash::defaultCrashHandler(): systemsettings5 killed by SIGSEGV
Summary: [abrt] plasma-systemsettings: KCrash::defaultCrashHandler(): systemsettings5 ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-systemsettings
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c585139ac9bebb3e4aa96f30df5...
: 1421708 1421795 1427086 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-29 12:39 UTC by robert
Modified: 2017-12-12 10:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:37:38 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (65.91 KB, text/plain)
2017-01-29 12:39 UTC, robert
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-29 12:39 UTC, robert
no flags Details
File: core_backtrace (26.52 KB, text/plain)
2017-01-29 12:39 UTC, robert
no flags Details
File: dso_list (31.71 KB, text/plain)
2017-01-29 12:39 UTC, robert
no flags Details
File: environ (1.67 KB, text/plain)
2017-01-29 12:39 UTC, robert
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-29 12:39 UTC, robert
no flags Details
File: maps (137.79 KB, text/plain)
2017-01-29 12:39 UTC, robert
no flags Details
File: mountinfo (3.62 KB, text/plain)
2017-01-29 12:39 UTC, robert
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-29 12:39 UTC, robert
no flags Details
File: open_fds (176 bytes, text/plain)
2017-01-29 12:39 UTC, robert
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-01-29 12:39 UTC, robert
no flags Details
File: var_log_messages (12.83 KB, text/plain)
2017-01-29 12:40 UTC, robert
no flags Details

Description robert 2017-01-29 12:39:32 UTC
Description of problem:
after verifing some parameters, I shut the windows and the crash came.

Version-Release number of selected component:
plasma-systemsettings-5.8.5-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/systemsettings5
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/systemsettings5
global_pid:     6128
kernel:         4.9.6-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 KCrash::defaultCrashHandler at /usr/src/debug/kcrash-5.29.0/src/kcrash.cpp:538
 #3 QV4::Value::as<QV4::QObjectWrapper> at /usr/src/debug/qtdeclarative-opensource-src-5.7.1/src/qml/jsruntime/qv4value_p.h:428
 #5 QV4::WeakValue::free at /usr/src/debug/qtdeclarative-opensource-src-5.7.1/src/qml/jsruntime/qv4persistent.cpp:425
 #6 QV4::WeakValue::clear at /usr/src/debug/qtdeclarative-opensource-src-5.7.1/src/qml/jsruntime/qv4persistent_p.h:187
 #7 QV4::QObjectWrapper::destroyObject at /usr/src/debug/qtdeclarative-opensource-src-5.7.1/src/qml/jsruntime/qv4qobjectwrapper.cpp:1051
 #8 QV4::MemoryManager::sweep at /usr/src/debug/qtdeclarative-opensource-src-5.7.1/src/qml/memory/qv4mm.cpp:440
 #9 QV4::MemoryManager::~MemoryManager at /usr/src/debug/qtdeclarative-opensource-src-5.7.1/src/qml/memory/qv4mm.cpp:642
 #10 QV4::ExecutionEngine::~ExecutionEngine at /usr/src/debug/qtdeclarative-opensource-src-5.7.1/src/qml/jsruntime/qv4engine.cpp:452
 #11 QV8Engine::~QV8Engine at /usr/src/debug/qtdeclarative-opensource-src-5.7.1/src/qml/qml/v8/qv8engine.cpp:167
 #13 QJSEngine::~QJSEngine at /usr/src/debug/qtdeclarative-opensource-src-5.7.1/src/qml/jsapi/qjsengine.cpp:308

Comment 1 robert 2017-01-29 12:39:40 UTC
Created attachment 1245554 [details]
File: backtrace

Comment 2 robert 2017-01-29 12:39:41 UTC
Created attachment 1245555 [details]
File: cgroup

Comment 3 robert 2017-01-29 12:39:43 UTC
Created attachment 1245556 [details]
File: core_backtrace

Comment 4 robert 2017-01-29 12:39:46 UTC
Created attachment 1245557 [details]
File: dso_list

Comment 5 robert 2017-01-29 12:39:47 UTC
Created attachment 1245558 [details]
File: environ

Comment 6 robert 2017-01-29 12:39:49 UTC
Created attachment 1245559 [details]
File: limits

Comment 7 robert 2017-01-29 12:39:53 UTC
Created attachment 1245560 [details]
File: maps

Comment 8 robert 2017-01-29 12:39:54 UTC
Created attachment 1245561 [details]
File: mountinfo

Comment 9 robert 2017-01-29 12:39:56 UTC
Created attachment 1245562 [details]
File: namespaces

Comment 10 robert 2017-01-29 12:39:57 UTC
Created attachment 1245563 [details]
File: open_fds

Comment 11 robert 2017-01-29 12:39:59 UTC
Created attachment 1245564 [details]
File: proc_pid_status

Comment 12 robert 2017-01-29 12:40:01 UTC
Created attachment 1245565 [details]
File: var_log_messages

Comment 13 Wojtek 2017-02-13 13:40:08 UTC
*** Bug 1421708 has been marked as a duplicate of this bug. ***

Comment 14 Wojtek 2017-02-13 17:15:56 UTC
*** Bug 1421795 has been marked as a duplicate of this bug. ***

Comment 15 Yuri 2017-02-27 10:31:36 UTC
*** Bug 1427086 has been marked as a duplicate of this bug. ***

Comment 16 Fedora End Of Life 2017-11-16 15:16:37 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2017-12-12 10:37:38 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.